Bug 550720 - corrupted display with nouveau after hibernation
Summary: corrupted display with nouveau after hibernation
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
(Show other bugs)
Version: 14
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-27 02:41 UTC by Cristian Ciupitu
Modified: 2012-08-16 22:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 22:30:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (made with GIMP) (558.46 KB, image/png)
2009-12-27 02:41 UTC, Cristian Ciupitu
no flags Details
Xorg log (from the previous boot - the one with problems) (71.53 KB, text/plain)
2009-12-27 02:48 UTC, Cristian Ciupitu
no flags Details
output of the dmesg command (124.02 KB, application/octet-stream)
2009-12-27 11:42 UTC, Cristian Ciupitu
no flags Details
Xorg log (from the previous boot - the one with problems) (70.16 KB, text/plain)
2010-02-10 11:23 UTC, Cristian Ciupitu
no flags Details
dmesg (76.85 KB, text/plain)
2010-11-06 00:03 UTC, Cristian Ciupitu
no flags Details
/var/log/Xorg.0.log (111.52 KB, text/plain)
2010-11-06 00:05 UTC, Cristian Ciupitu
no flags Details

Description Cristian Ciupitu 2009-12-27 02:41:15 UTC
Created attachment 380482 [details]
Screenshot (made with GIMP)

Description of problem:
My HP LP2475w display (connected via DVI to a NVidia 7600GS video card) is corrupted after powering up the computer from hibernation.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2efd.fc12.x86_64.rpm

How reproducible:
Every time (3 out of 3 at this time)


Steps to Reproduce:
1. Turn on the computer (and notice that the display looks fine).
2. Hibernate.
3. Turn on the computer.
  
Actual results:
Corrupted display.

Expected results:
Display should not be corrupted.

Additional info:
kernel-2.6.31.9-174.fc12.x86_64.rpm booted with "LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rdblacklist=XXXnouveau".

I have no /etc/X11/xorg.conf.

lspci -v for my video card:
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GS] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Giga-byte Technology Device 341a
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at e1000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at e0000000 (64-bit, non-prefetchable) [size=16M]
	I/O ports at 2000 [size=128]
	Expansion ROM at <ignored> [disabled]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [128] Power Budgeting <?>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb

Bug #539975 looks similar, so this might be a duplicate.

Comment 1 Cristian Ciupitu 2009-12-27 02:48:13 UTC
Created attachment 380483 [details]
Xorg log (from the previous boot - the one with problems)

Comment 2 Cristian Ciupitu 2009-12-27 11:42:31 UTC
Created attachment 380517 [details]
output of the dmesg command

after hibernation

Comment 3 Chris Campbell 2010-01-15 15:59:21 UTC
All logs aboard, setting keyword triaged.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Ben Skeggs 2010-01-16 00:42:23 UTC
Are you able to re-test with kernel-2.6.32.3-26.fc12 (http://koji.fedoraproject.org/koji/buildinfo?buildID=151021), it contains some fixes that may be relevant.

Thanks!

Comment 5 Cristian Ciupitu 2010-01-17 17:31:54 UTC
Unfortunately, I don't think that I'll be able to test it this week.

Comment 6 Cristian Ciupitu 2010-02-10 11:21:10 UTC
(In reply to comment #4)
> Are you able to re-test with kernel-2.6.32.3-26.fc12
> (http://koji.fedoraproject.org/koji/buildinfo?buildID=151021), it contains some
> fixes that may be relevant.
> 
> Thanks!    

Sorry for replying so late, but I had some technical issues and I also had to reinstall the system. Anyway, the problem still exists and now I wasn't even able to use the GUI or switch to a text console.

I'm using kernel-2.6.31.12-174.2.3.fc12.x86_64.rpm and xorg-x11-drv-nouveau-0.0.15-19.20091105gite1c2efd.fc12.x86_64.rpm and booted with "ro root=/dev/mapper/hermesVG-Fedora--rootVol  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet"

Comment 7 Cristian Ciupitu 2010-02-10 11:23:27 UTC
Created attachment 389967 [details]
Xorg log (from the previous boot - the one with problems)

Using kernel-2.6.31.12-174.2.3.fc12.x86_64.rpm and xorg-x11-drv-nouveau-0.0.15-19.20091105gite1c2efd.fc12.x86_64.rpm.

Comment 8 Bug Zapper 2010-11-04 02:27:01 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Cristian Ciupitu 2010-11-06 00:02:32 UTC
The problem still exists in Fedora 14, although now it takes a while until the display becomes corrupted. I have xorg-x11-drv-nouveau-0.0.16-11.20100826git065576d.fc14.x86_64.rpm and kernel-2.6.35.6-48.fc14.x86_64.rpm.

Comment 10 Cristian Ciupitu 2010-11-06 00:03:56 UTC
Created attachment 458258 [details]
dmesg

Comment 11 Cristian Ciupitu 2010-11-06 00:05:53 UTC
Created attachment 458259 [details]
/var/log/Xorg.0.log

Comment 12 Cristian Ciupitu 2010-11-06 01:49:36 UTC
I put some screenshots on Flickr[1], but because of the resizing and JPEG compression some details are missing. Please let me know if I should upload here some of them.

[1] http://www.flickr.com/photos/26757457@N06/sets/72157625196559211/

Comment 13 Cristian Ciupitu 2010-12-06 15:35:19 UTC
It's still present in kernel-2.6.35.9-64.fc14.x86_64.

Comment 14 Fedora End Of Life 2012-08-16 22:30:28 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.